aboutsummaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
authorkpfleming <kpfleming@f38db490-d61c-443f-a65b-d21fe96a405b>2008-04-29 12:55:39 +0000
committerkpfleming <kpfleming@f38db490-d61c-443f-a65b-d21fe96a405b>2008-04-29 12:55:39 +0000
commitb0638e1ddb1634efe46bc2b9adf85280bf3b2eee (patch)
treeb9baf67f07b80b3c4327dbf8fe613d621727eae9 /contrib
parentc0ec9f0b4a3b11835ce3c2a94c69eeeb5076c39d (diff)
Merged revisions 114824 via svnmerge from
https://origsvn.digium.com/svn/asterisk/trunk ................ r114824 | kpfleming | 2008-04-29 07:54:31 -0500 (Tue, 29 Apr 2008) | 18 lines Merged revisions 114823 via svnmerge from https://origsvn.digium.com/svn/asterisk/branches/1.4 ................ r114823 | kpfleming | 2008-04-29 07:53:12 -0500 (Tue, 29 Apr 2008) | 10 lines Merged revisions 114822 via svnmerge from https://origsvn.digium.com/svn/asterisk/branches/1.2 ........ r114822 | kpfleming | 2008-04-29 07:52:32 -0500 (Tue, 29 Apr 2008) | 2 lines stop script from appending source code if run multiple times ........ ................ ................ git-svn-id: http://svn.digium.com/svn/asterisk/branches/1.6.0@114825 f38db490-d61c-443f-a65b-d21fe96a405b
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/scripts/get_ilbc_source.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/contrib/scripts/get_ilbc_source.sh b/contrib/scripts/get_ilbc_source.sh
index 262218064..68e6d558d 100755
--- a/contrib/scripts/get_ilbc_source.sh
+++ b/contrib/scripts/get_ilbc_source.sh
@@ -1,5 +1,14 @@
#!/bin/sh -e
+if [ -f codecs/ilbc/iLBC_define.h ]; then
+ echo "***"
+ echo "The iLBC source code appears to already be present and does not"
+ echo "need to be downloaded."
+ echo "***"
+
+ exit 1
+fi
+
echo "***"
echo "This script will download the Global IP Solutions iLBC encoder/decoder"
echo "source code from http://ilbcfreeware.org. Use of this code requires"
@@ -20,3 +29,5 @@ wget -P codecs/ilbc http://www.ilbcfreeware.org/documentation/extract-cfile.awk
echo "***"
echo "The iLBC source code download is complete."
echo "***"
+
+exit 0